          &dhemail;

&dhfirstname; &dhsurname;
2002
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

Console DCOP client

          &dhpackage;

          options
          application function arg1 arg2 ...

## DESCRIPTION

This manual page documents briefly the `&dhpackage;` command.

`&dhpackage;` is a console DCOP client.

## OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

`--all-sessions`

  Send to all sessions found. Only works with the --user and --all-users options.

`--all-users`

  Send the same DCOP call to all users with a running DCOP server. Only failed calls to existing DCOP servers will generate an error message. If no DCOP server is available at all, no error will be generated.

`--help`

  Show help about options.

`--list-sessions`

  List all active KDE session for a user or all users.

`--pipe`

  Call DCOP for each line read from stdin.

`--session session`

  Send to the given KDE session. This option can only be used in combination with the --user option.

`--user user`

  Connect to the given user's DCOP server. This option will ignore the values of the environment vars $DCOPSERVER and $ICEAUTHORITY, even if they are set. If the user has more than one open session, you must also use one of the --list-sessions, --session or --all-sessions command-line options.

## AUTHOR

This manual page was written by &dhusername; <&dhemail;> for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.